#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************

. /etc/env.properties

echo "--- add server root certificates to plugin, SSL hand shake ---"

i=1
while [ $i -le $NUMBER_OF_CUSTOM_NODES ]
do
	$IHS_ROOT/bin/gskcmd -cert -add -db $IHS_Config_DIR/webserver_template/plugin-key.kdb -label server_root_$i -pw WebAS -file /tmp/serverroot_$i.cer
    if [ $? -gt 0 ]; then
        echo "ERROR: failed to add server root certificate [server_root_$i] to plugin-key key store"
        exit 1
    fi
    i=$(( i+1 ))
done

echo "--- certificates added ---"
