#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2016. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************

. ~/.bash_profile


ls _OracleInstallDir_/app/oracle/oradata >> db.txt

$ORACLE_HOME/bin/lsnrctl start
$ORACLE_HOME/bin/lsnrctl status

db=temp
while read line
do
export db=$line
echo "$db"
export ORACLE_SID=$db
export ORACLE_UNQNAME=$ORACLE_SID
$ORACLE_HOME/bin/dbstart $ORACLE_HOME

# emctl is not available in Oracle12c
#-- $ORACLE_HOME/bin/emctl start dbconsole
done < db.txt

rm -rf db.txt


exit 0
