#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************
. /etc/env.properties

# get credentials
userCreds=$AUTO_PREP/UserParameters/userCreds.properties
. $userCreds


echo "As non-Root user [$WAS_USER_NAME] start the WAS server ....."

#check the user who initiate this script
CurrentUser=`whoami`

#Start WebSphere Application Server for Repo Tools operations
echo "------Start WebSphere Server------"
if [ "$CurrentUser" == root ]; then
   su - $WAS_USER_NAME -c "$WAS_PROFILE_ROOT/bin/startServer.sh server1"
else
   $WAS_PROFILE_ROOT/bin/startServer.sh server1
fi
if [ $? -ne 0 ]
then
echo "WebSphere Server failed to start"
exit 1
fi

echo "WebSphere Server started"
exit 0
