#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************

# look for entry matching pattern and return TRUE

targetFile=/etc/default/local/build_passwd
passwd_dir=/etc/default/local

if [ ! -d $passwd_dir ]
then
	mkdir $passwd_dir
fi

if [ ! -f $targetFile ]
then
	touch $targetFile
fi 
chmod 644 $targetFile

testResult=`awk -v pattern=^lock-in-password=.*\($1\) \
'$0 ~ pattern {print "TRUE"}' $targetFile`

if [ "$testResult" = "TRUE" ] 
then
        echo "Found entry...nothing needs to be done"
else
        echo "Entry not found, adding new entry"
        echo backing up build_passwd
        cp $targetFile $targetFile.BAK
        echo lock-in-password=$1 >> $targetFile
fi
